#!/bin/bash

if [[ $EUID -ne 0 ]]; then
	echo "Please run script with root priviledges"
	exit 1
fi

if [[ -d "/usr/local/off-the-hook" ]]; then
	echo "Previous installation found. Killing processes"
	killall phishing_detector
	killall dispatcher
	killall target_identifier
	echo "Removing previous installation"
	rm -rf "/usr/local/off-the-hook"
fi

crontab -u root -l | grep -v '@reboot screen -dmS Phishing bash /usr/local/off-the-hook/run_phish_detection.sh'  | crontab -u root -

echo "Uninstallation complete!"