#!/bin/bash

if [[ $EUID -ne 0 ]]; then
	echo "Please run script with root priviledges"
	exit 1
fi

if [[ -d "/usr/local/off-the-hook" ]]; then
	echo "Previous installation found. Killing processes"
	killall phishing_detector
	killall dispatcher
	killall target_identifier
	echo "Removing previous installation"
	rm -rf "/usr/local/off-the-hook"
fi

echo "Creating installation directory"
mkdir -p /usr/local/off-the-hook

echo "Copying files"
cp -rf ./ /usr/local/off-the-hook/

echo "Modifying permission"
chmod -R 777  /usr/local/off-the-hook


(sudo crontab -u root -l 2>/dev/null; echo @reboot screen -dmS Phishing bash /usr/local/off-the-hook/run_phish_detection.sh ) | sudo crontab -u root -
screen -dmS Phishing bash /usr/local/off-the-hook/run_phish_detection.sh

echo "Installation complete!"
echo "Please download the plugin for Chrome or Firefox from https://ssg.aalto.fi/projects/phishing/add-on.html"
